<?php

use yii\web\View;
use app\base\Common;
use yii\helpers\Html;
use yii\helpers\ArrayHelper;
use yii\widgets\ActiveForm;
use kartik\select2\Select2;
use wbraganca\dynamicform\DynamicFormWidget;
use rmrevin\yii\fontawesome\FA;
use kartik\widgets\DepDrop;
use yii\helpers\Url;
use kartik\grid\GridView;

$sloc=Yii::$app->user->identity->signedin_loc;
$sdistrict=Yii::$app->user->identity->district;

$Block= Common::getSiteblock();

$Beneficiarycategory = Common::getBCMaster();
$Idproof = Common::getIdproofMaster();
$Referred = Common::getReferredMaster();

$Staffnames= Common::getStaffnames();
$Staffcodes= Common::getStaffcodes();

$Benefinfo = Common::getBenefinfo();

$Appointment = Common::getAppointment();

/* @var $this yii\web\View */
/* @var $model app\models\Vaccination */
/* @var $form yii\widgets\ActiveForm */

if($model->isNewRecord) {
    $model->entry_date = date('d-m-Y');
    $model->update_flag = 0;	
}

if(!$model->isNewRecord) {
    $model->update_flag = 1;		
}


$headJS = <<<JS

function nospaces(ctrl){
   if(ctrl.value.match(/\s/g)){
      ctrl.value=ctrl.value.replace(/\s/g,'');
   }
  }
     
function dose2schedule()
	{  
	  if($('#vaccination-update_flag').val() == 0) {
	   	 var vd = '';	
		if($('#vaccination-vaccination_date').val() != '') {
			vd = $('#vaccination-vaccination_date').val().split('-');
			x = vd[0];
			vd[0] = vd[1];
			vd[1] = x;
			vd = vd.join('/');
			vd = new Date(vd);
		}		
		var isChecked_dose1 = $('#vaccination-dose input[type=radio]')[0].checked;	
		
		if(isChecked_dose1 == true && $('#vaccination-vaccination_date').val() != '') {	
			$('div.form-group.field-vaccination-dose2_schedule_date').show();	
			var dt=	dateAddInDays(vd, 83);		 	
            //console.log(dt)			
			$('#vaccination-dose2_schedule_date').val(dt);
		} 
		else {		  
		     $('div.form-group.field-vaccination-dose2_schedule_date').removeClass('required').hide();	
			 $('#vaccination-dose2_schedule_date').val('');			 
		}
	  }	  
	}
	
	function benefinfo_clear()
	{
		    $('#vaccination-dose1_date').val('');   
			$('#vaccination-beneficiary_name').val('');  
			$('#vaccination-mobile_number').val(''); 
			
			$('#vaccination-gender input[type=radio]').val(['']);
			
			$('#vaccination-date_of_birth').val('');  
			$('#vaccination-age').val('');
			$('#vaccination-year_of_birth').val('');
			$('#vaccination-id_proof').val(''); 
			$('#vaccination-id_proof_number').val(''); 
			$('#vaccination-beneficiary_category').val(''); 
			$('#vaccination-address').val('');   
			$('#vaccination-pincode').val(''); 
			$('#vaccination-monthly_income').val(''); 						 
			$('#vaccination-cowin_beneficiary_id').val('').prop('readonly', false);						
			$('#vaccination-vaccination_center').val('');  
	}
JS;
$this->registerJs($headJS, View::POS_HEAD);

$JS = "

	$('.datepicker').datepicker({autoclose: true, startDate: '01-01-1900', endDate: '0', format: '".strtolower(Yii::$app->formatter->dateFormat)."'});
	$('div.form-group.field-vaccination-dose1_date,div.form-group.field-vaccination-dose1_beneficiary_id_dd,div.form-group.field-vaccination-dose1_beneficiary_id_text,div.form-group.field-vaccination-centerinfo').removeClass('required').hide();
    	
	$('#vaccination-staff_name').focusout(function(e){		 
		if($(this)[0].value != '') {
			var ctrlval = $(this)[0].value;
			//console.log(ctrlval);  
			$.ajax({
				async: false,
				url: '".Url::to(["stime"])."',
	            type: 'post',
	            data: 'id='+ctrlval,             		
				success: function (response) {	                				
					$('#vaccination-entry_time').val(response);
					//console.log(response);   
			  }	
			});
		}
		else {
			  $('#vaccination-entry_time').val('');
		  }
			
	});
	
	$('#vaccination-staff_name').on('select2:select', function (evt) {		
		if($(this)[0].value != '') {
			var ctrlval = $(this)[0].value;
			//console.log(ctrlval);  
			$.ajax({
				async: false,
				url: '".Url::to(["stime"])."',
	            type: 'post',
	            data: 'id='+ctrlval,             		
				success: function (response) {	                				
					$('#vaccination-entry_time').val(response);
					//console.log(response);   
			  }	
			});
		}
	});	
	   
   $('#vaccination-staff_name').on('select2:unselect', function (evt) {  
			$('#vaccination-entry_time').val('');		
			
   });
   
	
	$('#vaccination-staff_name').on('select2:select', function (evt) {		
		var uid = $(this)[0].value;	
         // console.log(uid); 		
		if(uid != '') {
			var link = $('#uid-info').data('link') + uid;			
			$.ajax({
				type: 'post',
				url: 'staff',
				data: 'uid='+$(this)[0].value,
				success: function(response) {                  		
					if(response != null) {			
						$('#vaccination-staff_code').val(response.staff_code);                         						
					} else {						
						$('#vaccination-staff_code').val('');                             						
					}
					
				}
			});
		}
	});	
	   
   $('#vaccination-staff_name').on('select2:unselect', function (evt) {  
			$('#vaccination-staff_code').val('');			
			
   });
   
	
 $('#vaccination-dose input[type=radio]').change(function(){
		$('div.help-block').html('');
		$('div.error-summary').hide();
		$('div.form-group').removeClass('has-success').removeClass('has-error');
		if($(this).prop('checked')) {	     			
			if($(this).val() != '2') {
			 $('div.form-group.field-vaccination-dose1_date').removeClass('required').hide();			 
             $('div.form-group.field-vaccination-centerinfo').removeClass('required').hide();	
			 
			 $('div.form-group.field-vaccination-dose1_beneficiary_id_text').hide();      
             $('div.form-group.field-vaccination-dose1_beneficiary_id_dd').hide();	
			 $('div.form-group.field-vaccination-dose1_beneficiary_id').hide();			 
			 
			 $('#dose1_beneficiary_id_dd').val(null).trigger('change');
			 $('#vaccination-dose1_beneficiary_id_text').val('');
			 $('#vaccination-dose1_beneficiary_id').val('');			   			 
			 
			 $('#vaccination-dose1_date').val('');			
			 $('#vaccination-centerinfo').val('');
			 
			 if($('#vaccination-update_flag').val() != '1') {			    
			   benefinfo_clear();  
			 }			   
			
		} else {	            		
			 $('div.form-group.field-vaccination-dose1_date').addClass('required').show();           
			 $('div.form-group.field-vaccination-centerinfo').addClass('required').show();
         			 
			 
		}
		}
	});	  	
	
	$('#vaccination-dose input[type=radio]').trigger('change');
	
	   
    $('#vaccination-date_of_birth').datepicker().on('changeDate', function(e) {
       if($(this).val() != '') {		
    	 dateString = $(this).val();		
    	 $('#vaccination-age').val(getAge(dateString)).prop('readonly', true);
		 $('#vaccination-year_of_birth').val(getYob(dateString)).prop('readonly', true);
	   }	 
	    
    });
	
	
	$('#vaccination-date_of_birth').focusout(function(e){		
	   if($(this).val() == '') {
		 $('#vaccination-age').val('').prop('readonly', false);	
	     $('#vaccination-year_of_birth').val('').prop('readonly', false);
	   }
	});
	
	$('#vaccination-dose input[type=radio],#vaccination-vaccination_date').change(function(){
		dose2schedule();
	});		
	$('#vaccination-dose input[type=radio],#vaccination-vaccination_date').focusout(function(e){
		dose2schedule();
	});	
			
	$('#vaccination-district,#vaccination-date_of_birth,#vaccination-dose input[type=radio],#vaccination-vaccination_date').trigger('change');
	
	";
$this->registerJs($JS);

$JS = "   
  $('#dose1_beneficiary_id_dd').on('select2:select', function (evt) {	
		var id = $(this)[0].value;			
         // console.log(id); 		 
		// var isChecked_dose2 = $('#vaccination-dose input[type=radio]')[1].checked;	
         //console.log(isChecked_dose1);
		
		if(id != '') {
			var link = $('#id-info').data('link') + id;			
			$.ajax({
				type: 'post',
				url: 'benefinfo',
				data: 'id='+$(this)[0].value,
				success: function(response) {                  		
					if(response != null) {			
						$('#vaccination-dose1_date').val(response.vaccination_date);   
                        $('#vaccination-beneficiary_name').val(response.beneficiary_name); 
                        $('#vaccination-mobile_number').val(response.mobile_number); 
						
						$('#vaccination-gender input[type=radio]').val([response.gender]);
						
                       // $('#vaccination-gender').val(response.gender); 
						
                        $('#vaccination-date_of_birth').val(response.date_of_birth); 
						
                        $('#vaccination-age').val(response.age); 
                        $('#vaccination-year_of_birth').val(response.year_of_birth); 
                        $('#vaccination-id_proof').val(response.id_proof); 
                        $('#vaccination-id_proof_number').val(response.id_proof_number); 
                        $('#vaccination-beneficiary_category').val(response.beneficiary_category); 	
						
						$('#vaccination-address').val(response.address);   
                        $('#vaccination-pincode').val(response.pincode); 
						$('#vaccination-monthly_income').val(response.monthly_income); 
						 
                        $('#vaccination-cowin_beneficiary_id').val(response.cowin_beneficiary_id).prop('readonly', true); 						
						$('#vaccination-vaccination_center').val(response.vaccination_center);                                                 
					} 
                   				   
				}
			});
		}
		
	});	
	
 $('#dose1_beneficiary_id_dd').on('select2:unselect', function (evt) {  
      benefinfo_clear();
   });
   
  $('#vaccination-dose1_beneficiary_id_text').change(function(){
		$('div.help-block').html('');
		$('div.error-summary').hide();
		$('div.form-group').removeClass('has-success').removeClass('has-error');
		 if($(this).val() != '') 
		  $('#vaccination-cowin_beneficiary_id').val($(this).val()).prop('readonly', true);  
	     else 	 
          $('#vaccination-cowin_beneficiary_id').val('').prop('readonly', false); 	
		
	});	
   $('#vaccination-dose1_beneficiary_id_text').focusout(function(e){
		$('div.help-block').html('');
		$('div.error-summary').hide();
		$('div.form-group').removeClass('has-success').removeClass('has-error');
		 if($(this).val() != '') 
		  $('#vaccination-cowin_beneficiary_id').val($(this).val()).prop('readonly', true);  
	     else 	 
          $('#vaccination-cowin_beneficiary_id').val('').prop('readonly', false); 	
	});	
   
   	$('#vaccination-dose1_beneficiary_id_text').trigger('change');
   
 
 ";
$this->registerJs($JS);

$JS = "  
	$('#vaccination-centerinfo').change(function(){
		$('div.help-block').html('');
		$('div.error-summary').hide();
		$('div.form-group').removeClass('has-success').removeClass('has-error');
		 if($(this).val() != '') {
		   if($(this).val() != '1') {			
             $('div.form-group.field-vaccination-dose1_beneficiary_id_text').show();
             $('div.form-group.field-vaccination-dose1_beneficiary_id_dd').hide();   
 			 $('#dose1_beneficiary_id_dd').val(null).trigger('change');
			  benefinfo_clear();
		   }  else {		  
			 $('div.form-group.field-vaccination-dose1_beneficiary_id_text').hide();      
             $('div.form-group.field-vaccination-dose1_beneficiary_id_dd').show();	
			 $('#vaccination-dose1_beneficiary_id_text').val('');
			
		  }
	   }
	    else {		  
			 $('div.form-group.field-vaccination-dose1_beneficiary_id_text').hide();      
             $('div.form-group.field-vaccination-dose1_beneficiary_id_dd').hide();	
			 $('#dose1_beneficiary_id_dd').val(null).trigger('change');
			 $('#vaccination-dose1_beneficiary_id_text').val(''); 			 
			// benefinfo_clear();
		  }
		
	});	
	
	$('#vaccination-centerinfo').focusout(function(e){
		$('div.help-block').html('');
		$('div.error-summary').hide();
		$('div.form-group').removeClass('has-success').removeClass('has-error');
		 if($(this).val() != '') {
		   if($(this).val() != '1') {			
             $('div.form-group.field-vaccination-dose1_beneficiary_id_text').show();
             $('div.form-group.field-vaccination-dose1_beneficiary_id_dd').hide();   
 			 $('#dose1_beneficiary_id_dd').val(null).trigger('change');
			  benefinfo_clear();
		   }  else {		  
			 $('div.form-group.field-vaccination-dose1_beneficiary_id_text').hide();      
             $('div.form-group.field-vaccination-dose1_beneficiary_id_dd').show();	
			 $('#vaccination-dose1_beneficiary_id_text').val('');
			
		  }
	   }
	    else {		  
			 $('div.form-group.field-vaccination-dose1_beneficiary_id_text').hide();      
             $('div.form-group.field-vaccination-dose1_beneficiary_id_dd').hide();	
			 $('#dose1_beneficiary_id_dd').val(null).trigger('change');
			 $('#vaccination-dose1_beneficiary_id_text').val(''); 
			 
			// benefinfo_clear();
		  }
		
	});	

	
   $('#vaccination-update_flag').load(function(){
		$('div.help-block').html('');
		$('div.error-summary').hide();
		$('div.form-group').removeClass('has-success').removeClass('has-error');
		  if($(this).val() == '1') {
			 $('#vaccination-dose input[type=radio]').prop('disabled', true);   
		  }
		  else {	
             $('#vaccination-dose input[type=radio]').prop('disabled', false); 	  
			
		  }
	});	
	
	$('#vaccination-centerinfo').trigger('change');
	$('#vaccination-update_flag').trigger('load');

 ";
$this->registerJs($JS);

$JS = "   
  $('#vaccination-appointment_id').on('select2:select', function (evt) {	
		var id = $(this)[0].value;			
         // console.log(id); 		 
		
		if(id != '') {
			var link = $('#id-info').data('link') + id;			
			$.ajax({
				type: 'post',
				url: 'schdapp',
				data: 'id='+$(this)[0].value,
				success: function(response) {                  		
					if(response != null) {	                        					
						$('#vaccination-referred_source').val(response.referred_source); 
                        $('#vaccination-beneficiary_name').val(response.beneficiary_name); 
                        $('#vaccination-mobile_number').val(response.mobile_number); 						
						$('#vaccination-gender input[type=radio]').val([response.gender]);				
                        $('#vaccination-year_of_birth').val(response.year_of_birth); 
						
						if (response.dose ==2)
					     $('#vaccination-dose input[type=radio]').val([response.dose]).trigger('change');
                        else
                         $('#vaccination-dose input[type=radio]').val([response.dose]);							
					} 
                   				   
				}
			});
		}
		
	});	
	
  $('#vaccination-appointment_id').on('select2:unselect', function (evt) {  
            $('#vaccination-referred_source').val('');   
			$('#vaccination-beneficiary_name').val('');  
			$('#vaccination-mobile_number').val(''); 			
			$('#vaccination-gender input[type=radio]').val(['']);			
			$('#vaccination-year_of_birth').val('');
			 $('#vaccination-dose input[type=radio]').val(['']);
   });
   
    $('#vaccination-appointment').change(function(){	
		$('div.help-block').html('');
		$('div.error-summary').hide();
		$('div.form-group').removeClass('has-success').removeClass('has-error');			     			
			if($(this).val() != 'Yes') {
			 $('div.form-group.field-vaccination-appointment_id').removeClass('required').hide();				
			 $('#vaccination-appointment_id').val('');			
			}
		 else {	            		
			 $('div.form-group.field-vaccination-appointment_id').addClass('required').show();       
		}
		
	});	  	
	
	$('#vaccination-appointment').trigger('change');
 ";
$this->registerJs($JS);


?>

<div class="departments-form">
	<div class="panel panel-default">
		<div class="panel-heading">
		
		</div>
		<div class="panel-body">
			<div class="row">
				<div class="col-lg-12">
					<?php					    
						$form = ActiveForm::begin(['enableAjaxValidation' => true,'options' => ['class' => 'form-horizontal']]);
						$template = [
							'labelOptions' => ['class' => 'form-label'],
							'template' => '<div class="col-sm-4">{label}{hint}</div><div class="col-sm-4">{input}{error}</div>',
						];
						
						$htemplate = [
							'options' => ['tag' => false],
							'template' => '{input}'
						];										
						
					?>						 
						 <?= $form->field($model, 'entry_date', $template)->textInput(['readonly' => true]) ?>						
						 <?= $form->field($model, 'entry_time', $htemplate)->hiddenInput()->label() ?>						 
												
						<?php if($model->isNewRecord) : ?>	
						  <?= $form->field($model, 'district', $template)->textInput(['value' => $sdistrict,'readonly' => true]) ?>	
						  <?= $form->field($model, 'block', $template)->dropDownList($Block,['options' => [$sloc => ['Selected'=>'selected']],'prompt' =>'Select' ]) ?>	
						<?php else: ?>	
						  <?= $form->field($model, 'district', $template)->textInput(['value'=>$model->district,'readonly' => true]) ?> 
						  <?= $form->field($model, 'block', $template)->textInput(['value'=>$model->block,'readonly' => true]) ?>						  
						<?php endif; ?>
						
				       	<?php if($model->isNewRecord) : ?>						 
						    <?= $form->field($model, 'staff_name', $template)->widget(Select2::classname(), [	    
									'data' => $Staffnames,
									'options' => ['placeholder' => 'Select Staff Name'],
									'pluginOptions' => ['allowClear' => true ],
								 ]); ?>	
					       <?= $form->field($model, 'staff_code', $template)->dropDownList($Staffcodes, ['prompt' => 'Select']) ?>						 
						   <?= $form->field($model, 'appointment', $template)->dropDownList($model->yesno, ['prompt' => 'Select']) ?>
						    <?= $form->field($model, 'appointment_id', $template)->widget(Select2::classname(), [	    
									'data' => $Appointment,
									'options' => ['placeholder' => 'Select Appointment ID'],
									'pluginOptions' => ['allowClear' => true ],
								 ]); ?>	
						 <?php else: ?>
						 <?= $form->field($model, 'staff_name', $template)->textInput(['value'=>$model->staff_name,'readonly' => true]) ?>
						 <?= $form->field($model, 'staff_code', $template)->textInput(['value'=>$model->staff_code,'readonly' => true]) ?>
						 <?= $form->field($model, 'appointment', $template)->textInput(['value'=>$model->appointment,'readonly' => true]) ?>
						 <?= $form->field($model, 'appointment_id', $template)->textInput(['value'=>$model->appointment_id,'readonly' => true]) ?>
						 <?php endif; ?>	
						
						 <?= $form->field($model, 'referred_source', $template)->dropDownList($Referred, ['prompt' => 'Select']) ?>
						 
						 <?php if($model->isNewRecord) : ?>		
						    <?= $form->field($model, 'dose', $template)->radioList($model->dosage,['separator'=>'&nbsp&nbsp&nbsp&nbsp'])?>	
					      <?php else: ?>
						    <?= $form->field($model, 'dose', $template)->radioList($model->dosage,['separator'=>'&nbsp&nbsp&nbsp&nbsp'])?>
							<?= $form->field($model, 'dose', $htemplate)->hiddenInput(['value'=>$model->dose])->label("") ?>							
						<?php endif; ?>	
						 
						<?php if($model->isNewRecord) : ?>	
						 <?= $form->field($model, 'centerinfo', $template)->dropDownList($model->yes_no, ['prompt' => 'Select'])->label("Did you take 1st Dose in this Center?") ?>
						<?php endif; ?>	
						 
						 <?php if($model->isNewRecord) : ?>		
						 
						     <?= $form->field($model, 'dose1_beneficiary_id_dd', $template)->widget(Select2::classname(), [	    
									'data' => $Benefinfo,
									'options'=>['id'=>'dose1_beneficiary_id_dd','placeholder' => 'Select Beneficiary ID'],									
									'pluginOptions' => ['allowClear' => true ],
								 ])->label("If Dose 2, 1st Dose Beneficiary ID"); ?>	       					   
						     <?= $form->field($model, 'dose1_beneficiary_id_text', $template)->textInput(['onkeyup' => "nospaces(this)"])->label("If Dose 2, 1st Dose Beneficiary ID") ?>
						  
					      <?php else: ?>
                           <?= $form->field($model, 'dose1_beneficiary_id', $template)->textInput(['value'=>$model->dose1_beneficiary_id,'readonly' => true]) ?>
						<?php endif; ?>	
						 <?= $form->field($model, 'dose1_date', $template)->textInput(['class' => 'form-control datepicker']) ?>
                         <?= $form->field($model, 'beneficiary_name', $template)->textInput() ?>	
						 <?= $form->field($model, 'mobile_number', $template)->textInput(['maxlength' => true,'onkeyup' => "nospaces(this)"]) ?>
						 
						 <?= $form->field($model, 'gender', $template)->radioList($model->sex,['separator'=>'&nbsp&nbsp&nbsp&nbsp'])?>
						 
						 <?= $form->field($model, 'date_of_birth', $template)->textInput(['class' => 'form-control datepicker']) ?>
						  <?= $form->field($model, 'year_of_birth', $template)->textInput(['maxlength' => true,'onkeyup' => "nospaces(this)"]) ?>
						 <?= $form->field($model, 'age', $template)->textInput(['maxlength' => true,'onkeyup' => "nospaces(this)"]) ?>					
						 
						 <?= $form->field($model, 'id_proof', $template)->dropDownList($Idproof, ['prompt' => 'Select']) ?>
						 <?= $form->field($model, 'id_proof_number', $template)->textInput(['onkeyup' => "nospaces(this)"]) ?>	
						 <?= $form->field($model, 'beneficiary_category', $template)->dropDownList($Beneficiarycategory, ['prompt' => 'Select']) ?>
						 <?= $form->field($model, 'address', $template)->textarea(['rows' => '5']) ?>	
						 
						 <?= $form->field($model, 'pincode', $template)->textInput(['maxlength' => true,'onkeyup' => "nospaces(this)"]) ?>
						 <?= $form->field($model, 'monthly_income', $template)->textInput(['maxlength' => true,'onkeyup' => "nospaces(this)"]) ?>
						 
                         <?php // $form->field($model, 'vaccination_appointment_date', $template)->textInput(['class' => 'form-control datepicker']) ?>
						 
						 <div class="form-group">
								  <div class="col-sm-4 lblcolor hline-bottom">
									    <?= Html::label('Vaccination Details :') ?>
								  </div>									 
						</div> 
						
                        <?php if($model->isNewRecord) : ?>								 
						    <?= $form->field($model, 'vaccination_date', $template)->textInput(['class' => 'form-control datepicker']) ?>
					      <?php else: ?>
                           <?= $form->field($model, 'vaccination_date', $template)->textInput(['value'=>$model->vaccination_date,'readonly' => true]) ?>
						<?php endif; ?>							 
						 
						 <?= $form->field($model, 'vaccination_center', $template)->textInput() ?>							 
						 <?= $form->field($model, 'vaccination_type', $template)->radioList($model->vaccinationtype,['separator'=>'&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp'])?>
						 <?= $form->field($model, 'cowin_beneficiary_id', $template)->textInput(['onkeyup' => "nospaces(this)"]) ?>						 
						 <?= $form->field($model, 'dose2_schedule_date', $template)->textInput(['readonly' => true]) ?>					 
					
						 <?= $form->field($model, 'update_flag', $htemplate)->hiddenInput()->label("") ?>
									 
						 <?= $form->field($model, 'status', $htemplate)->hiddenInput(['value' => 1])->label("") ?>				
						 <?= $form->field($model, $model->isNewRecord ? 'create_user' : 'update_user', $htemplate)->hiddenInput(['value' => yii::$app->user->identity->id])->label("") ?>
					<div class="form-group">
						<div class="col-sm-offset-5 col-sm-7">
							<?= Html::submitButton($model->isNewRecord ? Yii::t('app', 'Create') : Yii::t('app', 'Update'), ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
							<?= Html::a('Cancel', ['/'.Yii::$app->controller->id], ['class' => 'btn btn-default']) ?>
						</div>
					</div>
					<?php ActiveForm::end(); ?>
				</div>
				<!-- /.col-lg-6 (nested) -->
			</div>
			<!-- /.row (nested) -->
		</div>
		<!-- /.panel-body -->
	</div>
	<!-- /.panel -->
</div>